#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	CDF
Summary:	Math::CDF - probabilities and quantiles for several statistical functions
Summary(pl.UTF-8):	Math::CDF - prawdopodobieństwa i kwantyle dla niektórych funkcji statystycznych
Name:		perl-Math-CDF
Version:	0.1
Release:	5
# non-commercial because of some parts of DCDFLIB
License:	non-commercial
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7866c7b6b9d27f0ce4b7637334478ab7
Patch0:		%{name}-system-dcdflib.patch
URL:		http://search.cpan.org/dist/Math-CDF/
BuildRequires:	dcdflib.c-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the DCDFLIB. Functions are
available for 7 continuous distributions (Beta, Chi-square, F, Gamma,
Normal, Poisson and T-distribution) and for two discrete distributions
(Binomial and Negative Binomial). Optional non-centrality parameters
are available for the Chi-square, F and T-distributions. Cumulative
probabilities are available for all 9 distributions and quantile
functions are available for the 7 continuous distributions.

%description -l pl.UTF-8
Ten moduł udostępnia perlowy interfejs do biblioteki DCDFLIB. Dostępne
są funkcje dla 7 rozkładów ciągłych (Beta, Chi-kwadrat, F, Gamma,
normalnego, Poissona, t Studenta) oraz dwóch dyskretnych (dwumianowego
i odwrotnego dwumianowego). Dostępne są opcjonalne parametry
niecentralności dla rozkładów Chi-kwadrat, F i t Studenta. Funkcje
rozkładu prawdopodobieństwa są dostępne dla wszystkich 9 rozkładów, a
funkcje kwantyli dla 7 ciągłych rozkładów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Math/CDF.pm
%dir %{perl_vendorarch}/auto/Math/CDF
%{perl_vendorarch}/auto/Math/CDF/CDF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/CDF/CDF.so
%{perl_vendorarch}/auto/Math/CDF/autosplit.ix
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-CDF.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0fb2f9d
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d16d36
- release 4

* Fri Sep 18 2009 amateja <amateja@pld-linux.org> 5c41b4f
- release 3

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 428537b
- generic URL

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c9169fa
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> cf8d96c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e0dbddc
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 9e356a6
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 25b0e54
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 08ea4e1
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> d948c9c
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 98eac2e
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 7e86d2b
- ported to new bconds

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 310c055
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> e924e6f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 697318e
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> a11faeb
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 40e97d6
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 86720cc
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> f265a6a
- massive attack: change CPAN URLs

